org.apache.ignite.internal.processors.rest.request

## Class GridRestCacheRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.request.GridRestRequest
  - - org.apache.ignite.internal.processors.rest.request.GridRestCacheRequest

    public class GridRestCacheRequest
    extends GridRestRequest

### Constructor Summary

Constructors
Constructor and Description
`GridRestCacheRequest()`

### Method Summary

Methods
`int` `cacheFlags()`
`void` `cacheFlags(int cacheFlags)`
`String` `cacheName()`
`void` `cacheName(String cacheName)`
`Object` `key()`
`void` `key(Object key)`
`String` `toString()`
`Long` `ttl()`
`void` `ttl(Long ttl)`
`Object` `value()`
`void` `value(Object val)`
`Object` `value2()`
`void` `value2(Object val2)`
`Map<Object,Object>` `values()`
`void` `values(Map<Object,Object> vals)`

### Methods inherited from class org.apache.ignite.internal.processors.rest.request.GridRestRequest

`address, address, clientId, clientId, command, command, credentials, credentials, destinationId, destinationId, sessionToken, sessionToken`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridRestCacheRequest

    public GridRestCacheRequest()

### Method Detail

#### cacheName

    public String cacheName()

Returns:
  Cache name, or `null` if not set.

#### cacheName

    public void cacheName(String cacheName)

Parameters:
  `cacheName` - Cache name.

#### key

    public Object key()

Returns:
  Key.

#### key

    public void key(Object key)

Parameters:
  `key` - Key.

#### value

    public Object value()

Returns:
  Value 1.

#### value

    public void value(Object val)

Parameters:
  `val` - Value 1.

#### value2

    public Object value2()

Returns:
  Value 2.

#### value2

    public void value2(Object val2)

Parameters:
  `val2` - Value 2.

#### values

    public Map<Object,Object> values()

Returns:
  Keys and values for put all, get all, remove all operations.

#### values

    public void values(Map<Object,Object> vals)

Parameters:
  `vals` - Keys and values for put all, get all, remove all operations.

#### cacheFlags

    public void cacheFlags(int cacheFlags)

Parameters:
  `cacheFlags` - Bit representation of cache flags.

#### cacheFlags

    public int cacheFlags()

Returns:
  Bit representation of cache flags.

#### ttl

    public Long ttl()

Returns:
  Expiration time.

#### ttl

    public void ttl(Long ttl)

Parameters:
  `ttl` - Expiration time.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridRestRequest`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015